% plot return shocks
clear all
clc
close all

addpath(pwd)
load time
load global_datiret_day
warning off
maxlag=5;
Time = datenum(time(maxlag+1:end,:));
NKK_closed;  u(ex,:)=0;
EU_closed;  u(ex,:)=0;
US_closed;  u(ex,:)=0;

for j=1:4
    figure
    plot(Time,standardize(u(:,j)),'LineWidth',1.5)
    datetick('x','yy')
    axis tight
    xlabel('time')
    ylim([-12,12])
    set(gca,'YTick',-12:4:12)
    h1=recessionplot('recessions', [datenum('9Aug07') datenum('26Jul12')]);
end
