% plot identified volatility shocks
clear all
clc
close all

addpath(pwd)
load time
load irfs
warning off

Time = datenum(time(end-length(u)+1:end,:));
NKK_closed;  u(ex,:)=0;
EU_closed;  u(ex,:)=0;
US_closed;  u(ex,:)=0;

for j=1:2                                                                     % shock 2 is the global one
    figure
    plot(Time,standardize(exp(u(:,j))),'LineWidth',1.5,'Color','b')
    datetick('x','yy')
    axis tight
    xlabel('time')
    ylim([0 30]);
    h1=recessionplot('recessions', [datenum('9Aug07') datenum('26Jul12')]);
    if j==1
        title('US-EU shock')
    elseif j==2
        title('global shock')
    end
end

